Bug 197375 - [MAINTAINER]] lang/cython: Update to 0.22
Summary: [MAINTAINER]] lang/cython: Update to 0.22
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-02-06 16:22 UTC by Vitaly Magerya
Modified: 2015-02-19 09:31 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback?


Attachments
cython-0.21.2.diff (852 bytes, patch)
2015-02-06 16:22 UTC, Vitaly Magerya
koobs: maintainer-approval+
Details | Diff
cython-0.22.diff (846 bytes, patch)
2015-02-18 09:43 UTC, Vitaly Magerya
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vitaly Magerya 2015-02-06 16:22:51 UTC
Created attachment 152622 [details]
cython-0.21.2.diff

Routine update of lang/cython to 0.21.2.
Comment 1 Vitaly Magerya 2015-02-18 09:43:53 UTC
Created attachment 153140 [details]
cython-0.22.diff

Cython released version 0.22 in the mean while.
Here's the new patch.
Comment 2 Jan Beich freebsd_committer 2015-02-18 18:40:59 UTC
Tested cython-0.22 doesn't break build of the following consumers:

  biology/pycogent
  comms/py-libimobiledevice
  devel/bzr
  devel/py-libplist
  devel/py-meliae
  devel/py-tables
  devel/renpy
  math/py-bottleneck
  multimedia/py-ffmpeg
  net/py-pcs
  science/py-h5py
  science/py-mlpy
  www/py-falcon
  www/py-jswebkit
  x11/xpra

while breaking x11-toolkits/py-kivy (cython-0.21.2 is fine):

  cythoning kivy/graphics/texture.pyx to kivy/graphics/texture.c

   Error compiling Cython file:
   ------------------------------------------------------------
   ...
       cpdef release(self)
       cpdef get_pixel_color(self, int wx, int wy)

       cdef void create_fbo(self)
       cdef void delete_fbo(self)
       cdef void apply(self)
                     ^
   ------------------------------------------------------------

   kivy/graphics/fbo.pxd:25:19: Signature not compatible with previous declaration

   Error compiling Cython file:
   ------------------------------------------------------------
   ...
       cdef void push_states(self, list names) except *
       cdef void pop_state(self, str name) except *
       cdef void pop_states(self, list names) except *
       cdef void enter(self) except *
       cdef void leave(self) except *
       cdef void apply(self) except *
                     ^
   ------------------------------------------------------------

   kivy/graphics/instructions.pxd:118:19: Previous declaration is here
  building 'kivy.graphics.texture' extension
  creating build
  creating build/temp.freebsd-11.0-CURRENT-amd64-2.7
  creating build/temp.freebsd-11.0-CURRENT-amd64-2.7/kivy
  creating build/temp.freebsd-11.0-CURRENT-amd64-2.7/kivy/graphics
  cc -DNDEBUG -O2 -pipe -fstack-protector -fPIC -I/usr/local/include -I/usr/local/include/python2.7 -c kivy/graphics/texture.c -o build/temp.freebsd-11.0-CURRENT-amd64-2.7/kivy/graphics/texture.o
  kivy/graphics/texture.c:1:2: error: Do not use this file, it is the result of a
        failed Cython compilation.
  #error Do not use this file, it is the result of a failed Cython compilation.
   ^
  1 error generated.
   error: command 'cc' failed with exit status 1

David, should I wait for your fix or mark BROKEN and lang/cython update regardless?
Comment 3 David Naylor freebsd_committer 2015-02-18 19:15:31 UTC
Please go ahead and mark kivy as broken.  

I have reported [1] the issue upstream (and others have mentioned this on the mailing list).  A fix (which I will commit) will hopefully be forthcoming.  

[1] https://github.com/kivy/kivy/issues/3049
Comment 4 commit-hook freebsd_committer 2015-02-19 09:29:05 UTC
A commit references this bug:

Author: jbeich
Date: Thu Feb 19 09:28:43 UTC 2015
New revision: 379335
URL: https://svnweb.freebsd.org/changeset/ports/379335

Log:
  - Update to 0.22 [1]
  - Strip C modules [2]
  - Mark py-kivy as BROKEN [3]

  PR:		197375 [1]
  PR:		197776 [2]
  Submitted by:	Viltaly Magerya <vmagerya@gmail.com> (maintainer) [1]
  Approved by:	Viltaly Magerya <vmagerya@gmail.com> (maintainer) [2]
  Approved by:	dbn (maintainer) [3]

Changes:
  head/lang/cython/Makefile
  head/lang/cython/distinfo
  head/x11-toolkits/py-kivy/Makefile
Comment 5 Jan Beich freebsd_committer 2015-02-19 09:31:21 UTC
Thanks. Committed.